package repository

import (
	"context"
	"database/sql"

	"git.gocasts.ir/ebhomengo/niki/domain/payment/entity"
)

type PaymentRepository struct {
	DB *sql.DB
}

// CreatePayment implements [service.PaymentRepo].
func (*PaymentRepository) CreatePayment(ctx context.Context, p *entity.Payment) error {
	panic("unimplemented")
}

// CreateTransaction implements [service.PaymentRepo].
func (p *PaymentRepository) CreateTransaction(ctx context.Context, t *entity.PaymentTransaction) error {
	panic("unimplemented")
}

// UpdateTransaction implements [service.PaymentRepo].
func (p *PaymentRepository) UpdateTransaction(ctx context.Context, t *entity.PaymentTransaction) error {
	panic("unimplemented")
}

func NewPaymentRepository(db *sql.DB) *PaymentRepository {
	return &PaymentRepository{
		DB: db,
	}
}
